跳至內容

Bria Expand (FIBO-Edit-1.5)

整合

模型 id bria/fibo-edit-1.5/expand
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit-1.5/expand?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.04 40 API 點數 · ≈ ₽4.29 在此頁面執行

取得 API 金鑰
Bria AI 圖像編輯 #image-expansion#outpainting#aspect-ratio#canvas-extension

將圖像延展至新長寬比或自訂畫布的擴圖工具,面積低於 25 百萬像素

Bria AI · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

新增區域內容的可選描述。單純調整畫布通常不需要描述:省略時會要求模型僅延伸現有圖像。

•必填 image_url
拖放檔案,或

以檔案或 URL 提供的擴展來源圖像。

aspect_ratio

使原始圖像置中並擴展周圍畫布的最終圖像比例設定。指定此值會優先於 'original_image_size' 和 'original_image_location'。

進階 negative_prompt · seed · retain_original_quality · preserve_alpha · return_model_output · canvas_size · original_image_size · original_image_location

針對 SDXL 擴展 API 路由所撰寫請求的相容性檢查:提供此不支援的輸入會觸發明確拒絕,避免其值悄然遺失。請改用 'prompt'。

隨機生成種子;無論在此提供或省略後隨機選取,都會一律包含在回應中。取自較早回應的值可重現其結果。

與 'original_image_location' 配對的擴展圖像尺寸。請指定最終畫布的 [width, height],其面積須小於 25 百萬像素。

原始圖像在畫布中的目標 [width, height]。提供 'aspect_ratio' 時會覆寫此設定;否則圖像會在放置前調整為這些尺寸。

原始圖像左上角的放置座標 [x, y];提供 'aspect_ratio' 時忽略。允許超出畫布邊界放置,並會裁切原始圖像。

POST /run/bria/fibo-edit-1.5/expand?wait=20 報價 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit-1.5/expand?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Bria Expand (FIBO-Edit-1.5)

將圖像延展至邊界之外。可選擇九種 `aspect_ratio` 值之一,或將 `canvas_size` 定義為 [width, height],面積低於 25 百萬像素,並提供 `original_image_size` 與 `original_image_location`。選用的 `prompt` 可描述新增區域。`retain_original_quality` 與 `preserve_alpha` 預設為開啟,`return_model_output` 用於診斷。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_url必填 image
類型url · image
以檔案或 URL 提供的擴展來源圖像。
canvas_size選填
類型integer[]
≤ 2 個項目≥ 2 個項目
與 'original_image_location' 配對的擴展圖像尺寸。請指定最終畫布的 [width, height],其面積須小於 25 百萬像素。
aspect_ratio選填
類型enum
1:12:33:23:44:34:55:49:1616:9
使原始圖像置中並擴展周圍畫布的最終圖像比例設定。指定此值會優先於 'original_image_size' 和 'original_image_location'。
original_image_size選填
類型integer[]
≤ 2 個項目≥ 2 個項目
原始圖像在畫布中的目標 [width, height]。提供 'aspect_ratio' 時會覆寫此設定;否則圖像會在放置前調整為這些尺寸。
original_image_location選填
類型integer[]
≤ 2 個項目≥ 2 個項目
原始圖像左上角的放置座標 [x, y];提供 'aspect_ratio' 時忽略。允許超出畫布邊界放置,並會裁切原始圖像。
prompt選填
類型string | null
新增區域內容的可選描述。單純調整畫布通常不需要描述:省略時會要求模型僅延伸現有圖像。
seed選填
類型integer | null
0 – 2,147,483,647
隨機生成種子;無論在此提供或省略後隨機選取,都會一律包含在回應中。取自較早回應的值可重現其結果。
negative_prompt選填
類型string | null
針對 SDXL 擴展 API 路由所撰寫請求的相容性檢查:提供此不支援的輸入會觸發明確拒絕,避免其值悄然遺失。請改用 'prompt'。
retain_original_quality選填
類型boolean
預設值true
啟用此選項可在不重新取樣的情況下,以完整解析度保留受遮罩保護的原始像素。模型約以一百萬像素生成,然後為較大畫布放大。停用此選項會使結果整體變柔和,可能掩蓋紋理背景中的接縫。
preserve_alpha選填
類型boolean
預設值true
透過邊緣複製延伸原始 alpha 通道,必要時保留輸入透明度以擴展去背圖像。由於生成在 RGB 中執行,模型不會產生 alpha。停用此選項可取得扁平化的 RGB 輸出。
return_model_output選填
類型boolean
預設值false
回傳額外的診斷影格,以區分模型錯誤與合成錯誤,不會變更最終圖像。它會顯示重新插入原始圖像並混合接縫前的模型結果;若此影格中已可見邊界缺陷,則是生成錯誤而非後處理錯誤。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-edit-1.5/expand",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42,
    "structured_instruction": {},
    "model_output": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
image
object {url, content_type, file_name, file_size, width, height}擴展產生的圖像。
seed
integer生成時套用的種子,可重現結果。
structured_instruction
object用於條件化模型的結構化提示詞。
model_output
object {url, content_type, file_name, file_size, width, height} | null僅在啟用 'return_model_output' 時包含的未合成影格。其尺寸為要求的畫布尺寸,包含模型輸出,不含任何貼上或混合的內容。

更多模型:圖像編輯

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/bria/fibo-edit-1.5/expand.md. 所有模型與指南: https://doitong.com/developers/llms.txt